DELETE

Delete OATH Token

Use this API to remove a single OATH token from your account’s token catalog.

Resource URL

https://<subdomain>.onelogin.com/api/2/oath_tokens/<id>

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can only be called using the Manage All scope — there is no narrower scope that grants access to this endpoint.

URL Parameters

id

required

integer

The OneLogin ID of the OATH token to delete.

Sample Responses

The token is deleted. The response body is empty.

Typically, this error means that your access token value is invalid.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}
{
    "message": "The resource with the given id could not be found",
    "statusCode": 404,
    "name": "NotFoundError"
}

Returned if the token record could not be deleted.

{
    "message": "OATH token could not be deleted",
    "statusCode": 422,
    "name": "UnprocessableEntityError"
}

Postman Collection

Replace sample variables indicated by < > in the sample request body with your actual values. Also, be sure to set Postman-specific environment variables indicated by {{ }}.

Run In Postman

    Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

Delete OATH Token

curl 'https://<subdomain>.onelogin.com/api/2/oath_tokens/918273' \
-X DELETE \
-H "Authorization: bearer <access_token>"